<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml'>
  <head>
    <title>Code coverage for Marleyspoon</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <script src='./assets/0.12.3/application.js' type='text/javascript'></script>
    <link href='./assets/0.12.3/application.css' media='screen, projection, print' rel='stylesheet' type='text/css' />
    <link rel="shortcut icon" type="image/png" href="./assets/0.12.3/favicon_red.png" />
    <link rel="icon" type="image/png" href="./assets/0.12.3/favicon.png" />
  </head>

  <body>
    <div id="loading">
      <img src="./assets/0.12.3/loading.gif" alt="loading"/>
    </div>
    <div id="wrapper" class="hide">
      <div class="timestamp">Generated <abbr class="timeago" title="2021-01-09T23:47:16+03:30">2021-01-09T23:47:16+03:30</abbr></div>
      <ul class="group_tabs"></ul>

      <div id="content">
        <div class="file_list_container" id="AllFiles">
  <h2>
    <span class="group_name">All Files</span>
    (<span class="covered_percent">
      <span class="red">
  61.32%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="green">
         1.47
       </span>
    </span> hits/line
    )
  </h2>

  <a name="AllFiles"></a>

  <div>
    <b>15</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>106</b> relevant lines,
    <span class="green"><b>65</b> lines covered</span> and
    <span class="red"><b>41</b> lines missed. </span>
    (<span class="red">
  61.32%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#3a13712318730f02cf45ca49922aedd4d435438a" class="src_link" title="app/channels/application_cable/channel.rb">app/channels/application_cable/channel.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#c7c4183d3587eda5214ca70460d241dbbe58db9d" class="src_link" title="app/channels/application_cable/connection.rb">app/channels/application_cable/connection.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#8634454b5bc708ec7fe9b4e6af1e324fc7864f9d" class="src_link" title="app/controllers/application_controller.rb">app/controllers/application_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#d7f69b14db7fa49047c6b3b3d2cd1c41898dd6a0" class="src_link" title="app/controllers/pages_controller.rb">app/controllers/pages_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">5</td>
            <td class="cell--number">0</td>
            <td class="cell--number">5</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#a0bb45825d5171249d11a9dab7c379f96946dded" class="src_link" title="app/controllers/panel/v1/base_controller.rb">app/controllers/panel/v1/base_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">60.00 %</td>
            <td class="cell--number">30</td>
            <td class="cell--number">20</td>
            <td class="cell--number">12</td>
            <td class="cell--number">8</td>
            <td class="cell--number">0.60</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#eb31b74af3d5a44a7f82cc89d2db6819c246981f" class="src_link" title="app/controllers/panel/v1/recipes_controller.rb">app/controllers/panel/v1/recipes_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">29</td>
            <td class="cell--number">16</td>
            <td class="cell--number">16</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.63</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#270f0e7e4be513d44f2eed7c3b072c0373ea663d" class="src_link" title="app/helpers/application_helper.rb">app/helpers/application_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">2</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#b258ae93f9f66e3ae80451c823f205a35cb79ed4" class="src_link" title="app/jobs/application_job.rb">app/jobs/application_job.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#08e5639b408cc4271089399b81279fc0d0ecaa0a" class="src_link" title="app/mailers/application_mailer.rb">app/mailers/application_mailer.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#2ef0f5b0d69cb3df4b890cf79377ddad7b6fb780" class="src_link" title="app/models/application_record.rb">app/models/application_record.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">3</td>
            <td class="cell--number">3</td>
            <td class="cell--number">0</td>
            <td class="cell--number">3</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#67e5400a8827b91c7d230ed33a90f704bf9f3f13" class="src_link" title="app/models/recipe.rb">app/models/recipe.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">3</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#b11da79ddd6fdd7630f78de3a50bd46fe5118716" class="src_link" title="app/serializers/serializable_clinic.rb">app/serializers/serializable_clinic.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">9</td>
            <td class="cell--number">8</td>
            <td class="cell--number">0</td>
            <td class="cell--number">8</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#bf36e037e9008d75e56d1ac1132c05680dea9001" class="src_link" title="lib/api_constraints.rb">lib/api_constraints.rb</a></td>
            <td class="yellow strong cell--number t-file__coverage">83.33 %</td>
            <td class="cell--number">10</td>
            <td class="cell--number">6</td>
            <td class="cell--number">5</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0.83</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#03f6c9204055cb5bed9ca22bf33f35e8886ba7b6" class="src_link" title="lib/marleyspoon/exceptions.rb">lib/marleyspoon/exceptions.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">17</td>
            <td class="cell--number">10</td>
            <td class="cell--number">10</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#e54c49dbcbb7397e378ddf04654b63c4ebf641ca" class="src_link" title="lib/scopes.rb">lib/scopes.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">34</td>
            <td class="cell--number">19</td>
            <td class="cell--number">19</td>
            <td class="cell--number">0</td>
            <td class="cell--number">5.26</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>


        
          <div class="file_list_container" id="Controllers">
  <h2>
    <span class="group_name">Controllers</span>
    (<span class="covered_percent">
      <span class="red">
  65.12%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.88
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Controllers"></a>

  <div>
    <b>4</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>43</b> relevant lines,
    <span class="green"><b>28</b> lines covered</span> and
    <span class="red"><b>15</b> lines missed. </span>
    (<span class="red">
  65.12%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#8634454b5bc708ec7fe9b4e6af1e324fc7864f9d" class="src_link" title="app/controllers/application_controller.rb">app/controllers/application_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#d7f69b14db7fa49047c6b3b3d2cd1c41898dd6a0" class="src_link" title="app/controllers/pages_controller.rb">app/controllers/pages_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">5</td>
            <td class="cell--number">5</td>
            <td class="cell--number">0</td>
            <td class="cell--number">5</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#a0bb45825d5171249d11a9dab7c379f96946dded" class="src_link" title="app/controllers/panel/v1/base_controller.rb">app/controllers/panel/v1/base_controller.rb</a></td>
            <td class="red strong cell--number t-file__coverage">60.00 %</td>
            <td class="cell--number">30</td>
            <td class="cell--number">20</td>
            <td class="cell--number">12</td>
            <td class="cell--number">8</td>
            <td class="cell--number">0.60</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#eb31b74af3d5a44a7f82cc89d2db6819c246981f" class="src_link" title="app/controllers/panel/v1/recipes_controller.rb">app/controllers/panel/v1/recipes_controller.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">29</td>
            <td class="cell--number">16</td>
            <td class="cell--number">16</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.63</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Channels">
  <h2>
    <span class="group_name">Channels</span>
    (<span class="covered_percent">
      <span class="red">
  0.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Channels"></a>

  <div>
    <b>2</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>8</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>8</b> lines missed. </span>
    (<span class="red">
  0.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#3a13712318730f02cf45ca49922aedd4d435438a" class="src_link" title="app/channels/application_cable/channel.rb">app/channels/application_cable/channel.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#c7c4183d3587eda5214ca70460d241dbbe58db9d" class="src_link" title="app/channels/application_cable/connection.rb">app/channels/application_cable/connection.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Models">
  <h2>
    <span class="group_name">Models</span>
    (<span class="covered_percent">
      <span class="red">
  40.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.4
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Models"></a>

  <div>
    <b>2</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>5</b> relevant lines,
    <span class="green"><b>2</b> lines covered</span> and
    <span class="red"><b>3</b> lines missed. </span>
    (<span class="red">
  40.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#2ef0f5b0d69cb3df4b890cf79377ddad7b6fb780" class="src_link" title="app/models/application_record.rb">app/models/application_record.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">3</td>
            <td class="cell--number">3</td>
            <td class="cell--number">0</td>
            <td class="cell--number">3</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#67e5400a8827b91c7d230ed33a90f704bf9f3f13" class="src_link" title="app/models/recipe.rb">app/models/recipe.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">3</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Mailers">
  <h2>
    <span class="group_name">Mailers</span>
    (<span class="covered_percent">
      <span class="red">
  0.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Mailers"></a>

  <div>
    <b>1</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>4</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>4</b> lines missed. </span>
    (<span class="red">
  0.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#08e5639b408cc4271089399b81279fc0d0ecaa0a" class="src_link" title="app/mailers/application_mailer.rb">app/mailers/application_mailer.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">4</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0</td>
            <td class="cell--number">4</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Helpers">
  <h2>
    <span class="group_name">Helpers</span>
    (<span class="covered_percent">
      <span class="green">
  100.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="yellow">
         1.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Helpers"></a>

  <div>
    <b>1</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>1</b> relevant lines,
    <span class="green"><b>1</b> lines covered</span> and
    <span class="red"><b>0</b> lines missed. </span>
    (<span class="green">
  100.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#270f0e7e4be513d44f2eed7c3b072c0373ea663d" class="src_link" title="app/helpers/application_helper.rb">app/helpers/application_helper.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">2</td>
            <td class="cell--number">1</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Jobs">
  <h2>
    <span class="group_name">Jobs</span>
    (<span class="covered_percent">
      <span class="red">
  0.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Jobs"></a>

  <div>
    <b>1</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>2</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>2</b> lines missed. </span>
    (<span class="red">
  0.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#b258ae93f9f66e3ae80451c823f205a35cb79ed4" class="src_link" title="app/jobs/application_job.rb">app/jobs/application_job.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">2</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0</td>
            <td class="cell--number">2</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Libraries">
  <h2>
    <span class="group_name">Libraries</span>
    (<span class="covered_percent">
      <span class="green">
  97.14%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="green">
         3.29
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Libraries"></a>

  <div>
    <b>3</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>35</b> relevant lines,
    <span class="green"><b>34</b> lines covered</span> and
    <span class="red"><b>1</b> lines missed. </span>
    (<span class="green">
  97.14%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#bf36e037e9008d75e56d1ac1132c05680dea9001" class="src_link" title="lib/api_constraints.rb">lib/api_constraints.rb</a></td>
            <td class="yellow strong cell--number t-file__coverage">83.33 %</td>
            <td class="cell--number">10</td>
            <td class="cell--number">6</td>
            <td class="cell--number">5</td>
            <td class="cell--number">1</td>
            <td class="cell--number">0.83</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#03f6c9204055cb5bed9ca22bf33f35e8886ba7b6" class="src_link" title="lib/marleyspoon/exceptions.rb">lib/marleyspoon/exceptions.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">17</td>
            <td class="cell--number">10</td>
            <td class="cell--number">10</td>
            <td class="cell--number">0</td>
            <td class="cell--number">1.00</td>
            
          </tr>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#e54c49dbcbb7397e378ddf04654b63c4ebf641ca" class="src_link" title="lib/scopes.rb">lib/scopes.rb</a></td>
            <td class="green strong cell--number t-file__coverage">100.00 %</td>
            <td class="cell--number">34</td>
            <td class="cell--number">19</td>
            <td class="cell--number">19</td>
            <td class="cell--number">0</td>
            <td class="cell--number">5.26</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
          <div class="file_list_container" id="Ungrouped">
  <h2>
    <span class="group_name">Ungrouped</span>
    (<span class="covered_percent">
      <span class="red">
  0.0%
</span>

     </span>
     covered at
     <span class="covered_strength">
       <span class="red">
         0.0
       </span>
    </span> hits/line
    )
  </h2>

  <a name="Ungrouped"></a>

  <div>
    <b>1</b> files in total.
  </div>

  <div class="t-line-summary">
    <b>8</b> relevant lines,
    <span class="green"><b>0</b> lines covered</span> and
    <span class="red"><b>8</b> lines missed. </span>
    (<span class="red">
  0.0%
</span>
)
  </div>

  

  <div class="file_list--responsive">
    <table class="file_list">
      <thead>
        <tr>
          <th>File</th>
          <th class="cell--number">% covered</th>
          <th class="cell--number">Lines</th>
          <th class="cell--number">Relevant Lines</th>
          <th class="cell--number">Lines covered</th>
          <th class="cell--number">Lines missed</th>
          <th class="cell--number">Avg. Hits / Line</th>
          
        </tr>
      </thead>
      <tbody>
        
          <tr class="t-file">
            <td class="strong t-file__name"><a href="#b11da79ddd6fdd7630f78de3a50bd46fe5118716" class="src_link" title="app/serializers/serializable_clinic.rb">app/serializers/serializable_clinic.rb</a></td>
            <td class="red strong cell--number t-file__coverage">0.00 %</td>
            <td class="cell--number">9</td>
            <td class="cell--number">8</td>
            <td class="cell--number">0</td>
            <td class="cell--number">8</td>
            <td class="cell--number">0.00</td>
            
          </tr>
        
      </tbody>
    </table>
  </div>
</div>

        
      </div>

      <div id="footer">
        Generated by <a href="https://github.com/simplecov-ruby/simplecov">simplecov</a> v0.21.2
        and simplecov-html v0.12.3<br/>
        using RSpec
      </div>

      <div class="source_files">
      
        <div class="source_table" id="3a13712318730f02cf45ca49922aedd4d435438a">
  <div class="header">
    <h3>app/channels/application_cable/channel.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>4</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>4</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">module ApplicationCable</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">  class Channel &lt; ActionCable::Channel::Base</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="3">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="c7c4183d3587eda5214ca70460d241dbbe58db9d">
  <div class="header">
    <h3>app/channels/application_cable/connection.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>4</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>4</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">module ApplicationCable</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">  class Connection &lt; ActionCable::Connection::Base</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="3">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="8634454b5bc708ec7fe9b4e6af1e324fc7864f9d">
  <div class="header">
    <h3>app/controllers/application_controller.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>2</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">class ApplicationController &lt; ActionController::Base</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="d7f69b14db7fa49047c6b3b3d2cd1c41898dd6a0">
  <div class="header">
    <h3>app/controllers/pages_controller.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>5</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>5</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">class PagesController &lt; ApplicationController</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">  def home</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="3">
            
            

            

            <code class="ruby">    render layout: &#39;application&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="4">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="5">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="a0bb45825d5171249d11a9dab7c379f96946dded">
  <div class="header">
    <h3>app/controllers/panel/v1/base_controller.rb</h3>
    <h4>
      <span class="red">
  60.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>20</b> relevant lines.
      <span class="green"><b>12</b> lines covered</span> and
      <span class="red"><b>8</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">require &quot;scopes&quot;</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">class Panel::V1::BaseController &lt; ActionController::Base</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">  require &quot;marleyspoon/exceptions&quot;</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">  include Scopes</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="6">
            <span class="hits">1</span>
            

            

            <code class="ruby">  include MarleySpoonExceptions</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="7">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="8">
            <span class="hits">1</span>
            

            

            <code class="ruby">  rescue_from ::StandardError, with: :error_occurred</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="9">
            <span class="hits">1</span>
            

            

            <code class="ruby">  rescue_from DataExceptionsParams, with: :error</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="10">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="11">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def admins</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="12">
            
            

            

            <code class="ruby">    @user_asstes_name = &quot;admins&quot;</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="13">
            
            

            

            <code class="ruby">    render template: &quot;layouts/dashboard&quot;</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="14">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="15">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="16">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def error(e)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="17">
            <span class="hits">1</span>
            

            

            <code class="ruby">    logger.error e</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="18">
            <span class="hits">1</span>
            

            

            <code class="ruby">    render json: { result: &quot;ERROR&quot;, error: { message: e.message, code: e.code, exception_type: e.exception_type }, status: 404 }</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="19">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="20">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="21">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def error_occurred(e)</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="22">
            
            

            

            <code class="ruby">    puts e</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="23">
            
            

            

            <code class="ruby">    logger.error e.message</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="24">
            
            

            

            <code class="ruby">    e.backtrace.each { |line|</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="25">
            
            

            

            <code class="ruby">      puts line</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="26">
            
            

            

            <code class="ruby">      logger.error line</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="27">
            
            

            

            <code class="ruby">    }</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="28">
            
            

            

            <code class="ruby">    render json: { result: &quot;ERROR&quot;, error: { message: &quot;Unknown Error.&quot;, code: 3 }, status: 404 }</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="29">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="30">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="eb31b74af3d5a44a7f82cc89d2db6819c246981f">
  <div class="header">
    <h3>app/controllers/panel/v1/recipes_controller.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>16</b> relevant lines.
      <span class="green"><b>16</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">module Panel</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="2">
            <span class="hits">1</span>
            

            

            <code class="ruby">  module V1</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">    class RecipesController &lt; Panel::V1::BaseController</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">      # skip_before_action :verify_authenticity_token</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">      before_action :find_recipe, only: %i(show)</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="7">
            <span class="hits">1</span>
            

            

            <code class="ruby">      def index</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="8">
            <span class="hits">1</span>
            

            

            <code class="ruby">        @recipes = paginate_order_by(Recipe, recipe_params[:page], recipe_params[:per_page], recipe_params[:order_by])</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="9">
            <span class="hits">1</span>
            

            

            <code class="ruby">        raise DataExceptionsParams.new(t(&quot;errors.problem_getting_all_recipes&quot;), 502, &quot;recipe&quot;) if @recipes.nil?</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="10">
            <span class="hits">1</span>
            

            

            <code class="ruby">        render json: { result: &quot;OK&quot;, recipes: serialized_array(@recipes, [&quot;id&quot;, &quot;title&quot;, &quot;photo.url&quot;]), meta: { total: @recipes.total, limit: @recipes.limit, skip: @recipes.skip } }</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="11">
            
            

            

            <code class="ruby">      end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="12">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="13">
            <span class="hits">1</span>
            

            

            <code class="ruby">      def show</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="14">
            <span class="hits">1</span>
            

            

            <code class="ruby">        render json: { result: &quot;OK&quot;, recipe: serialized_object(@recipe, [&quot;id&quot;, &quot;title&quot;, &quot;photo.url&quot;, &quot;description&quot;, &quot;chef.name&quot;, tags: [&quot;name&quot;]]) }</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="15">
            
            

            

            <code class="ruby">      end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="16">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="17">
            <span class="hits">1</span>
            

            

            <code class="ruby">      private</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="18">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="19">
            <span class="hits">1</span>
            

            

            <code class="ruby">      def find_recipe</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="2" data-linenumber="20">
            <span class="hits">2</span>
            

            

            <code class="ruby">        @recipe = find_by_id Recipe, params[:id]</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="2" data-linenumber="21">
            <span class="hits">2</span>
            

            

            <code class="ruby">        raise DataExceptionsParams.new(t(&quot;errors.recipe_not_exists&quot;), 501, &quot;recipe&quot;) if @recipe.nil?</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="22">
            
            

            

            <code class="ruby">      end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="23">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="24">
            <span class="hits">1</span>
            

            

            <code class="ruby">      def recipe_params</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="9" data-linenumber="25">
            <span class="hits">9</span>
            

            

            <code class="ruby">        params.permit(:page, :per_page, :order_by).delete_if { |key, value| value.blank? }</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="26">
            
            

            

            <code class="ruby">      end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="27">
            
            

            

            <code class="ruby">    end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="28">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="29">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="270f0e7e4be513d44f2eed7c3b072c0373ea663d">
  <div class="header">
    <h3>app/helpers/application_helper.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>1</b> relevant lines.
      <span class="green"><b>1</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">module ApplicationHelper</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="2">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="b258ae93f9f66e3ae80451c823f205a35cb79ed4">
  <div class="header">
    <h3>app/jobs/application_job.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>2</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">class ApplicationJob &lt; ActiveJob::Base</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="08e5639b408cc4271089399b81279fc0d0ecaa0a">
  <div class="header">
    <h3>app/mailers/application_mailer.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>4</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>4</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">class ApplicationMailer &lt; ActionMailer::Base</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">  default from: &#39;from@example.com&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="3">
            
            

            

            <code class="ruby">  layout &#39;mailer&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="4">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="2ef0f5b0d69cb3df4b890cf79377ddad7b6fb780">
  <div class="header">
    <h3>app/models/application_record.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>3</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>3</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">class ApplicationRecord &lt; ActiveRecord::Base</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">  self.abstract_class = true</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="3">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="67e5400a8827b91c7d230ed33a90f704bf9f3f13">
  <div class="header">
    <h3>app/models/recipe.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>2</b> relevant lines.
      <span class="green"><b>2</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">class Recipe &lt; ContentfulModel::Base</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="2">
            <span class="hits">1</span>
            

            

            <code class="ruby">  self.content_type_id = &quot;recipe&quot;</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="3">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="b11da79ddd6fdd7630f78de3a50bd46fe5118716">
  <div class="header">
    <h3>app/serializers/serializable_clinic.rb</h3>
    <h4>
      <span class="red">
  0.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>8</b> relevant lines.
      <span class="green"><b>0</b> lines covered</span> and
      <span class="red"><b>8</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="1">
            
            

            

            <code class="ruby">class SerializableClinic &lt; JSONAPI::Serializable::Resource</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="2">
            
            

            

            <code class="ruby">  type &#39;clinic&#39;</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="3">
            
            

            

            <code class="ruby">  attributes :location_address, :name, :phone_number,:client_id</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="5">
            
            

            

            <code class="ruby">  belongs_to :user</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="6">
            
            

            

            <code class="ruby">  has_many :doctors</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="7">
            
            

            

            <code class="ruby">  has_many :service_costs, dependent: :destroy</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="8">
            
            

            

            <code class="ruby">  has_many :services, :through =&gt; :service_costs</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="9">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="bf36e037e9008d75e56d1ac1132c05680dea9001">
  <div class="header">
    <h3>lib/api_constraints.rb</h3>
    <h4>
      <span class="yellow">
  83.33%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>6</b> relevant lines.
      <span class="green"><b>5</b> lines covered</span> and
      <span class="red"><b>1</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">class ApiConstraints</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="2">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def initialize(options)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">    @version = options[:version]</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">    @default = options[:default]</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="6">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="7">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def matches?(req)</code>
          </li>
        </div>
      
        <div>
          <li class="missed" data-hits="0" data-linenumber="8">
            
            

            

            <code class="ruby">    @default || req.headers[&quot;Accept&quot;].include?(&quot;application/com.marleyspoon.v#{@version}&quot;)</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="9">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="10">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="03f6c9204055cb5bed9ca22bf33f35e8886ba7b6">
  <div class="header">
    <h3>lib/marleyspoon/exceptions.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>10</b> relevant lines.
      <span class="green"><b>10</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">module MarleySpoonExceptions</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="2">
            <span class="hits">1</span>
            

            

            <code class="ruby">  class DataExceptionsParams &lt; StandardError</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="3">
            <span class="hits">1</span>
            

            

            <code class="ruby">    def initialize(msg = &quot;This is a custom exception&quot;, code = 100, exception_type = &quot;invalid params&quot;)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="4">
            <span class="hits">1</span>
            

            

            <code class="ruby">      super(msg)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="5">
            <span class="hits">1</span>
            

            

            <code class="ruby">      @exception_type = exception_type</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="6">
            <span class="hits">1</span>
            

            

            <code class="ruby">      @code = code</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="7">
            
            

            

            <code class="ruby">    end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="8">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="9">
            <span class="hits">1</span>
            

            

            <code class="ruby">    def code</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="10">
            <span class="hits">1</span>
            

            

            <code class="ruby">      return @code</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="11">
            
            

            

            <code class="ruby">    end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="12">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="13">
            <span class="hits">1</span>
            

            

            <code class="ruby">    def exception_type</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="14">
            <span class="hits">1</span>
            

            

            <code class="ruby">      return @exception_type</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="15">
            
            

            

            <code class="ruby">    end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="16">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="17">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
        <div class="source_table" id="e54c49dbcbb7397e378ddf04654b63c4ebf641ca">
  <div class="header">
    <h3>lib/scopes.rb</h3>
    <h4>
      <span class="green">
  100.0%
</span>

      lines covered
    </h4>

    

    <div class="t-line-summary">
      <b>19</b> relevant lines.
      <span class="green"><b>19</b> lines covered</span> and
      <span class="red"><b>0</b> lines missed.</span>
    </div>

    

  </div>

  <pre>
    <ol>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="1">
            <span class="hits">1</span>
            

            

            <code class="ruby">module Scopes</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="2">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def find_by_id(object, id)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="2" data-linenumber="3">
            <span class="hits">2</span>
            

            

            <code class="ruby">    object.find(id) if id.present?</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="4">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="5">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="6">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def paginate_order_by(object, page = 1, per_page = 100, order_by = &quot;&quot;)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="7">
            <span class="hits">1</span>
            

            

            <code class="ruby">    object.paginate(page = page, per_page = per_page, order_field = order_by, additional_options = {}).load if page.present? and per_page.present?</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="8">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="9">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="10">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def serialized_object(object, fields)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="7" data-linenumber="11">
            <span class="hits">7</span>
            

            

            <code class="ruby">    response = {}</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="7" data-linenumber="12">
            <span class="hits">7</span>
            

            

            <code class="ruby">    fields.each do |field|</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="20" data-linenumber="13">
            <span class="hits">20</span>
            

            

            <code class="ruby">      if not field.kind_of? (String)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="14">
            <span class="hits">1</span>
            

            

            <code class="ruby">        field.keys.each do |key|</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="15">
            <span class="hits">1</span>
            

            

            <code class="ruby">          if eval(&quot;object.#{key.to_s}&quot;).present?</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="16">
            <span class="hits">1</span>
            

            

            <code class="ruby">            response[key.to_s] = serialized_array eval(&quot;object.#{key.to_s}&quot;), field[key]</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="17">
            
            

            

            <code class="ruby">          end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="18">
            
            

            

            <code class="ruby">        end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="19">
            
            

            

            <code class="ruby">      else</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="19" data-linenumber="20">
            <span class="hits">19</span>
            

            

            <code class="ruby">        if eval(&quot;object.#{field.split(&quot;.&quot;)[0]}&quot;).present?</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="19" data-linenumber="21">
            <span class="hits">19</span>
            

            

            <code class="ruby">          response[field.gsub(&quot;.&quot;, &quot;_&quot;)] = eval(&quot;object.#{field}&quot;)</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="22">
            
            

            

            <code class="ruby">        end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="23">
            
            

            

            <code class="ruby">      end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="24">
            
            

            

            <code class="ruby">    end</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="7" data-linenumber="25">
            <span class="hits">7</span>
            

            

            <code class="ruby">    response</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="26">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="27">
            
            

            

            <code class="ruby"></code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="1" data-linenumber="28">
            <span class="hits">1</span>
            

            

            <code class="ruby">  def serialized_array(array, fields)</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="2" data-linenumber="29">
            <span class="hits">2</span>
            

            

            <code class="ruby">    return [] if array.nil?</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="2" data-linenumber="30">
            <span class="hits">2</span>
            

            

            <code class="ruby">    array.map do |data|</code>
          </li>
        </div>
      
        <div>
          <li class="covered" data-hits="6" data-linenumber="31">
            <span class="hits">6</span>
            

            

            <code class="ruby">      serialized_object(data, fields)</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="32">
            
            

            

            <code class="ruby">    end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="33">
            
            

            

            <code class="ruby">  end</code>
          </li>
        </div>
      
        <div>
          <li class="never" data-hits="" data-linenumber="34">
            
            

            

            <code class="ruby">end</code>
          </li>
        </div>
      
    </ol>
  </pre>
</div>

      
      </div>
    </div>
  </body>
</html>
